Skip to main content
POST
/
virtual-accounts
/
withdraw
Withdraw funds
curl --request POST \
  --url https://api.pcxpay.com/v1/virtual-accounts/withdraw \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "<string>",
  "amount": 250,
  "user_id": "<string>",
  "beneficiary_name": "<string>",
  "external_account_id": "<string>",
  "bank_code": "<string>",
  "beneficiary_account_number": "<string>"
}
'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_id
string
required
amount
number<float>
required
Example:

250

user_id
string
required
beneficiary_name
string
required
external_account_id
string

ID of a pre-linked external account. Required if bank_code and beneficiary_account_number are not provided.

bank_code
string

Bank code for NGN direct withdrawals (alternative to external_account_id)

beneficiary_account_number
string

Account number for NGN direct withdrawals

Response

Withdrawal initiated

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object